MIX_CreateAudioDecoder_IO(3)

NAME
MIX_CreateAudioDecoder_IO - Create a MIX_AudioDecoder from an SDL_IOStream.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

MIX_AudioDecoder * MIX_CreateAudioDecoder_IO(SDL_IOStream *io, bool closeio, SDL_PropertiesID props);

DESCRIPTION
Most apps won't need this, as SDL_mixer's usual interfaces will decode audio as needed. However, if one wants to decode an audio file into a memory buffer without playing it, this interface offers that.

This function allows properties to be specified. This is intended to supply file-specific settings, such as where to find SoundFonts for a MIDI file, etc. Most of the properties available to MIX_LoadAudioWithProperties() apply here, too. In most cases, the caller should pass a zero to specify no extra properties.

If closeio is true, then io will be closed when this decoder is done with it. If this function fails and closeio is true, then io will be closed before this function returns.

When done with the audio decoder, it can be destroyed with MIX_DestroyAudioDecoder().

This function requires SDL_mixer to have been initialized with a successful call to MIX_Init(), but does not need an actual MIX_Mixer to have been created.

FUNCTION PARAMETERS

io  the i/o stream from which to load data.

closeio
    if true, close the i/o stream when done with it.

props
    decoder-specific properties. May be zero.

RETURN VALUE
Returns an audio decoder, ready to decode.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_CreateAudioDecoder_IO(3), MIX_DecodeAudio(3), MIX_DestroyAudioDecoder(3)